Bug 118269 - PDA hotsync fails
PDA hotsync fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 16:50 EST by Beth Johnson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Johnson 2004-03-14 16:50:21 EST
Description of problem:
Palm device does not sync

Version-Release number of selected component (if applicable):
kernel: 2.4.22-1.2174.nptl
gnome-pilot-2.0.10-4

How reproducible:
Every time.

Steps to Reproduce:
1. Connect usb cable to PDA.
2. Initiate hotsync from PDA.
3. Wait for PDA to timeout.
  
Actual results:
PDA times out without syncing or connecting.

Expected results:
PDA connects properly and syncs data properly.

Additional info:

This worked last week (before March 7) but I don't sync every day so can't pinpoint 
the day it started to fail.  My system is completely errated, including the coreutils and 
other stuff that came out in the past week.

tail /var/log/messages:

Mar 14 16:32:27 SLOBBIT kernel: hub.c: new USB device 00:1f.2-1.2, assigned 
address 9
Mar 14 16:32:27 SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 / 
Clie 4.x converter detected
Mar 14 16:32:27 SLOBBIT kernel: usb-uhci.c: interrupt, status 2, frame# 944
Mar 14 16:32:27 SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 / 
Clie 4.x converter now attached to ttyUSB0 (or usb/tts/0 for devfs)
Mar 14 16:32:27 SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 / 
Clie 4.x converter now attached to ttyUSB1 (or usb/tts/1 for devfs)
Mar 14 16:32:30 SLOBBIT usb.agent[16961]: missing kernel or user mode driver 
visor
Mar 14 16:32:31 SLOBBIT kernel: Device 08:00 not ready.
Mar 14 16:32:31 SLOBBIT kernel:  I/O error: dev 08:00, sector 0
 --Repeats 3x--
Mar 14 16:32:38 SLOBBIT devlabel: devlabel service started/restarted
Mar 14 16:33:27 SLOBBIT kernel: usb.c: USB disconnect on device 00:1f.2-1.2 
address 9
Mar 14 16:33:27 SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 / 
Clie 4.x converter now disconnected from ttyUSB0
Mar 14 16:33:27 SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 / 
Clie 4.x converter now disconnected from ttyUSB1
Mar 14 16:33:28 SLOBBIT kernel: Device 08:00 not ready.
Mar 14 16:33:28 SLOBBIT kernel:  I/O error: dev 08:00, sector 0
--Repeats 3x--
Mar 14 16:33:36 SLOBBIT devlabel: devlabel service started/restarted
Comment 1 Nigel Metheringham 2004-06-03 10:00:41 EDT
Check the timeout settings in gpilotd (if you have the pilot applet on
your panel, click that, edit your palm device, and try setting the
timeout to (say) 4 seconds.

It appears that the "check and try to sync" loop in gpilotd has (by
default) the same timeout (2 seconds) as the palm itself uses to send
intial data packets down the link and its pretty easy to get a
situation where gpilotd continually misses the data sets.

[You also need to make sure permissions are right - ie
/dev/usb/ttyUSB1 can be modified by you - it appeared by default this
was set wrong in FC2]

Comment 2 Matthew Miller 2006-07-11 13:48:08 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-27 13:35:04 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.